Package it.ernytech.tdlib

## Class TdApi.GetInlineGameHighScores

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetInlineGameHighScores

Enclosing class:
  TdApi

    public static class TdApi.GetInlineGameHighScores
    extends TdApi.Function

Returns game high scores and some part of the high score table in the range of the specified user; for bots only.

Returns `GameHighScores`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inlineMessageId` Inline message identifier.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`GetInlineGameHighScores()` Default constructor.
`GetInlineGameHighScores​(java.lang.String inlineMessageId, int userId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inlineMessageId

    public java.lang.String inlineMessageId

Inline message identifier.

#### userId

    public int userId

User identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetInlineGameHighScores

    public GetInlineGameHighScores()

Default constructor.

#### GetInlineGameHighScores

    public GetInlineGameHighScores​(java.lang.String inlineMessageId,
                                   int userId)

Constructor for initialization of all fields.

Parameters:
  `inlineMessageId` - Inline message identifier.
  `userId` - User identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR